package com.pcloud.common.core.dto;

import java.io.Serializable;

public class MessageQueueDto implements Serializable{	
	private static final long serialVersionUID = 8428879884218663165L;
	/**
     * 接收者
     */
	private Long receiveId;
	/**
	 * 接收系统编码
	 */
	private String receiveSysCode;
	/**
     * 消息类型
     */
	private String  messageType;
	/**
	 * 操作人
	 */
	private String name;
	/**
	 * 具体操作
	 */
	private String operation;
	/**
	 * 操作对象
	 */
	private String object;
	/**
	 * 操作对象标识
	 */
	private Long objectKey;
	/**
	 * 时间
	 */
	private String createdDate;
	
	public Long getReceiveId() {
		return receiveId;
	}
	public void setReceiveId(Long receiveId) {
		this.receiveId = receiveId;
	}
	
	public String getReceiveSysCode() {
		return receiveSysCode;
	}
	public void setReceiveSysCode(String receiveSysCode) {
		this.receiveSysCode = receiveSysCode;
	}
	public String getMessageType() {
		return messageType;
	}
	public void setMessageType(String messageType) {
		this.messageType = messageType;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getOperation() {
		return operation;
	}
	public void setOperation(String operation) {
		this.operation = operation;
	}
	public String getObject() {
		return object;
	}
	public void setObject(String object) {
		this.object = object;
	}
	public Long getObjectKey() {
		return objectKey;
	}
	public void setObjectKey(Long objectKey) {
		this.objectKey = objectKey;
	}
	public String getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(String createdDate) {
		this.createdDate = createdDate;
	}
	@Override
	public String toString() {
		return "MessageQueueDto [receiveId=" + receiveId + ", receiveSysCode=" + receiveSysCode + ", messageType="
				+ messageType + ", name=" + name + ", operation=" + operation + ", object=" + object + ", objectKey="
				+ objectKey + ", createdDate=" + createdDate + "]";
	}
}
